Change a batch of answers in a check
/v1/chatbot/overview/answer/batchUse this endpoint to change a batch of answers in a check.
The request body is an array of request-body objects accepted by the
PATCH /v1/chatbot/overview/answer endpoint. The maximal number of
accepted elements is 100; larger payloads are rejected with status
code 400.
The elements are applied sequentially and non-atomically: if one of them fails, the API responds with status code 500 and the edits before the failing element remain applied.
Authorization
BearerToken Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.
In: header
Header Parameters
The ongoing check's identifier.
In some cases, a question needs to be generated to the check during the change of an answer. This parameter determines the language of the generated question. Rolls back to the check's language if not provided.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
items <= 100Response Body
curl -X PATCH "https://example.com/v1/chatbot/overview/answer/batch" \ -H "authorization: Bearer <token>" \ -H "check-id: 5e93d7a1-f240-43b5-8937-33419ea9cb6a" \ -H "Content-Type: application/json" \ -d '[ { "questionId": "e38f994b-6464-4c49-8b11-28687031d46d", "answer": { "id": "ebf2b5b3-1d42-40ec-bba0-6a43f9da5b5a" } }, { "questionId": "183d2cd6-567f-416b-befb-065500cbaf57" } ]'Last updated on